This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 507291 - (Unicode5.2) [RHEL6] [tracking] Unicode 5.2 support
[RHEL6] [tracking] Unicode 5.2 support
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: RHEL Product and Program Management
Brock Organ
http://www.unicode.org/versions/Unico...
: i18n, Tracking
Depends On: 479207 559088
Blocks: 745015
  Show dependency treegraph
 
Reported: 2009-06-22 04:21 EDT by Jens Petersen
Modified: 2014-10-27 14:16 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-27 14:16:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fixed codepoint characters. (34.75 KB, image/png)
2013-08-02 00:44 EDT, Satyabrata Maitra
no flags Details

  None (edit)
Description Jens Petersen 2009-06-22 04:21:35 EDT
Unicode 5.2.0 revision beta is out with final release planned in October 09.

We probably need to support it for RHEL 6 even if after 6.0.
So this bug is to track progress on this.
Comment 2 Parag Nemade 2009-06-22 04:39:38 EDT
Beta release is available at http://www.unicode.org/Public/5.2.0/
Comment 3 RHEL Product and Program Management 2009-06-29 15:00:47 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Ulrich Drepper 2009-11-22 21:59:59 EST
Where does this requirement for Unicode 5.2 come from?  That person or organization also has to explain what is supposed to be changed.  I see no difference from 5.1 to 5.2 in the files which I always follow for glibc.

So, what is missing?
Comment 5 Pravin Satpute 2009-11-23 07:24:46 EST
Unicode 5.2 there are addition of few new characters
for Devanagari 
U+0900, U+094E, U+0979, U+097A
there are some more..
may be from glibc point of view we need to update localedata i18n file

not much sure but might be there are more thing, please let us know if anything more require, will prepare patch for that
Comment 6 Jens Petersen 2010-02-16 00:58:51 EST
Moving tracker back to distribution.

If glibc needs changes we should file a bug upstream
and open a RHEL6 bug and add it here.
Comment 7 A S Alam 2010-09-06 12:27:30 EDT
Still missing glyphs (from Comment #5)
---
ऀ - U+0900
ॎ - U+094E
ॹ - U+0979
ॺ - U+097A
--
Comment 8 Pravin Satpute 2010-09-07 01:13:07 EDT
hmm, lets start this first with lohit fonts
then we will test against rendering engine pango, qt and icu and ime's and will open if any bugs

i will add shape soon to lohit upstream
Comment 9 Pravin Satpute 2013-07-17 02:05:22 EDT
Shapes are now available in Lohit 2.5.3 version. Moving to modified.
Comment 10 Satyabrata Maitra 2013-07-17 02:17:35 EDT
U+0900
U+094E
U+0979
U+097A

The above mentioned codepoints are now appearing with proper shape in RHEL7 Beta. Verified. Screen shot attached, character inputs marked with red colored box.
Comment 11 Satyabrata Maitra 2013-08-02 00:44:27 EDT
Created attachment 781850 [details]
Fixed codepoint characters.

Note You need to log in before you can comment on or make changes to this bug.